Package org.kie.internal.conf

# Class AlphaRangeIndexThresholdOption

java.lang.Object
org.kie.internal.conf.AlphaRangeIndexThresholdOption

All Implemented Interfaces:
  `Serializable`, `KieBaseOption`, `Option`, `SingleValueKieBaseOption`, `SingleValueOption`, `SingleValueRuleBaseOption`

public class AlphaRangeIndexThresholdOption extends Object implements SingleValueRuleBaseOption
A class for the alpha node range index threshold configuration.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT_VALUE`
  The default value for this option
  `static OptionKey<AlphaRangeIndexThresholdOption>`
  `KEY`
  `static final String`
  `PROPERTY_NAME`
  The property name

  ### Fields inherited from interface org.kie.api.conf.SingleValueRuleBaseOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `static AlphaRangeIndexThresholdOption`
  `get(int threshold)`
  This is a factory method for this Alpha Range Index Threshold configuration.
  `String`
  `getPropertyName()`
  `int`
  `getThreshold()`
  Returns the threshold value for alpha range index
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.kie.api.conf.Option

  `propertyName`

  ### Methods inherited from interface org.kie.api.conf.SingleValueRuleBaseOption

  `type`

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    The property name
    See Also:
      - Constant Field Values

  - ### KEY

    public static OptionKey<AlphaRangeIndexThresholdOption> KEY

  - ### DEFAULT_VALUE

    public static final int DEFAULT_VALUE
    The default value for this option
    See Also:
      - Constant Field Values

- ## Method Details

  - ### get

    public static AlphaRangeIndexThresholdOption get(int threshold)
    This is a factory method for this Alpha Range Index Threshold configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.
    Parameters:
      `threshold` - the threshold value for the alpha range index option
    Returns:
      the actual type safe alpha range index threshold configuration.

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`

  - ### getThreshold

    public int getThreshold()
    Returns the threshold value for alpha range index
    Returns:

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`